<template>
	<view>
		<view v-html="content" class="myView"></view>
	</view>
</template>

<script>
	import {
		agreement
	} from '@/api/maintain.js';
	export default {
		data() {
			return {
				title : '',
				identifies : '',
				content:''
			}
		},
		methods: {
			getAgreement(){
				let data = {
					identifies : this.identifies
				}
				agreement(data).then(res=>{
					this.content = res.data.content
				})
			}
		},
		onLoad(option) {
			this.title = option.title
			this.identifies = option.identifies
			this.getAgreement()
		},
		onReady() {
			uni.setNavigationBarTitle({
				title:this.title
			})
		}
	}
</script>

<style>
.myView{
	width: 690rpx;
	position: relative;
	left: calc(50% - 345rpx);
	margin-top: 20rpx;
	padding-bottom: 150rpx;
}
</style>
